###
### DEMO 01 for Pod ###
###
 console show

 set thisDir [file normalize [file dirname [info script]]]
 lappend auto_path [file dirname $thisDir]
 
 package require Pod 1.1

  # ----  Pod #1 -------  
  # minimal Pod
 set bg orange
 Pod .z -background $bg
 label .z.lbl -text "I'm a new kind of toplevel wiget" -bg $bg
 pack .z.lbl 

  
  # ----  Pod #2 -------  
  # Another Pod with some widgets

   # first create a classic toplevel with some widgets
  set bg lightblue
  toplevel .aa
  proc plot {w x y} { $w create oval $x $y [expr $x+2] [expr $y+2] -fill red}
  canvas .aa.c -bg yellow -bd 2 -relief sunken -height 100
  label .aa.lbl -text "Draw something within the yellow box.." -bg $bg
  button .aa.b -text "Button"
  pack .aa.b -side bottom  ; # bottom first
  pack .aa.lbl
  pack .aa.c -expand 1 -fill both
  bind .aa.c <B1-Motion> { plot %W %x %y }
  catch {wm attributes .aa -alpha 0.7}   
   # then apply a Pod the the toplevel
  Pod adapt .aa -background $bg
  
  # ----  Pod #3 -------  

   # Finally, transform the toplevel "." in a Pod-widget,
   #  with some special effects ...
  Pod adapt .
  button .exit -text "Exit" -command exit
  pack   .exit -side bottom
  proc NewColor {w hue} {
        global isRunning
    	set col [Colors::RgbList2RRGGBB  [Colors::HslToRgb $hue 1.0 0.5]]
    	$w configure -background $col
    	if {$isRunning} {
            set hue [expr $hue+10.0]
    	    if {$hue >= 360.0 } { set hue 0.0 }
            after 500 NewColor $w $hue
        }
  }

  button .stop -text "Stop the Color Wheel" -command {
      set isRunning false
      .stop  configure -state disabled
      .start configure -state normal
  }
  button .start -text "Start the Color Wheel" -command {
      set isRunning true
      .start configure -state disabled
      .stop  configure -state normal
      NewColor . 0.0
  }
  pack .start .stop -pady 10
  wm geometry . 200x250+400+200
  .start invoke


